<script setup lang="ts">
import { RouterView } from "vue-router";
import NavBarVue from "@/components/NavBar.vue";
import SideBar from "@/components/SideBar.vue";

import { ref } from "vue";
</script>

<template>
  <!-- layout based on https://vuetifyjs.com/en/components/application/#default-application-markup-->
  <v-app>
    <SideBar />

    <NavBarVue />

    <!-- Sizes your content based upon application components -->
    <v-main>
      <!-- Provides the application the proper gutter -->
      <v-container fluid>
        <RouterView />
      </v-container>
    </v-main>

    <v-footer app>
      <!-- -->
    </v-footer>
  </v-app>
</template>

<style scoped></style>
